MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028201Open CASCADE[OCCT] OCCT:Codingpublic2016-12-08 11:292017-09-29 16:31
Reporteraml 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028201: Add square PConfusion() method to the Precision class
DescriptionPrecision class contains three methods:
Precision::Confusion()
Precision::PConfusion()
Precision::SquareConfusion()

There is no method for square PConfusion().
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0061540)
git (administrator)
2016-12-09 18:19

Branch CR28201 has been created by aml.

SHA-1: 420355a905c700f71a9944659c63a357969a8995


Detailed log of new commits:

Author: aml
Date: Fri Dec 9 18:15:58 2016 +0300

    0028201: Add square PConfusion() method to the Precision class
    
    Method SquarePConfusion has been added to simplify code.
(0061541)
aml (developer)
2016-12-09 18:21

Dear msv,
Please check current state of the CR28201 branch.
(0061543)
msv (developer)
2016-12-09 18:31

Reviewed.
No need in testing. Only new method has been added, and it is not called yet from anywhere.
(0061573)
mkv (tester)
2016-12-12 13:04

Dear BugMaster,
Branch CR28201 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: 420355a905c700f71a9944659c63a357969a8995

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1144
(0061574)
mkv (tester)
2016-12-12 13:04

Dear BugMaster,
Branch CR28201 is TESTED.
(0061814)
git (administrator)
2016-12-18 10:53

Branch CR28201 has been deleted by kgv.

SHA-1: 420355a905c700f71a9944659c63a357969a8995

- Related Changesets
occt: master dbe54d10
Timestamp: 2016-12-09 15:15:58
Author: aml
Committer: apn
Details ] Diff ]
0028201: Add square PConfusion() method to the Precision class

Method SquarePConfusion has been added to simplify code.
mod - src/Precision/Precision.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-12-08 11:29 aml New Issue
2016-12-08 11:29 aml Assigned To => msv
2016-12-08 11:31 msv Assigned To msv => aml
2016-12-08 11:31 msv Status new => assigned
2016-12-09 18:19 git Note Added: 0061540
2016-12-09 18:21 aml Note Added: 0061541
2016-12-09 18:21 aml Assigned To aml => msv
2016-12-09 18:21 aml Status assigned => resolved
2016-12-09 18:21 aml Steps to Reproduce Updated View Revisions
2016-12-09 18:31 msv Note Added: 0061543
2016-12-09 18:31 msv Assigned To msv => bugmaster
2016-12-09 18:31 msv Status resolved => reviewed
2016-12-09 18:50 mkv Assigned To bugmaster => mkv
2016-12-12 13:04 mkv Note Added: 0061573
2016-12-12 13:04 mkv Note Added: 0061574
2016-12-12 13:04 mkv Assigned To mkv => bugmaster
2016-12-12 13:04 mkv Status reviewed => tested
2016-12-12 13:04 mkv Test case number => Not needed
2016-12-16 16:34 apn Changeset attached => occt master dbe54d10
2016-12-16 16:34 apn Assigned To bugmaster => apn
2016-12-16 16:34 apn Status tested => verified
2016-12-16 16:34 apn Resolution open => fixed
2016-12-18 10:53 git Note Added: 0061814
2017-09-29 16:21 user533 Fixed in Version => 7.2.0
2017-09-29 16:31 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker